#!/bin/bash
# XF86Config_Screen.sh 
# Fix the Monotor Section:
#     XF86Config_Screen.sh  /etc/X11/XF86Config  24 '"1400x1050"'

XCONFIG=$1
DEPTH=$2
MODES=$3

DEPTH=${DEPTH:=24}

sed -e "/Section \"Screen\"/,/EndSection/{ 
/SubSection \"Display\"/,/EndSubSection/d
/[ \t]*DefaultDepth /d
/[ \t]*EndSection/i\\
        DefaultDepth     $DEPTH \\
        SubSection \"Display\" \\
                Depth $DEPTH \\
                Modes  $MODES \"1280x1024\" \"1024x768\" \"800x600\" \"640x480\" \\
        EndSubSection
}" -i $XCONFIG

