#!/bin/bash
# XF86Config_Monitor.sh 
# Fix the Monotor Section:
#     XF86Config_Monitor.sh  /etc/X11/XF86Config '30.0 - 80.0' '50.0 - 90.0'

XCONFIG=$1
HF=$2
VF=$3

HF=${HF:='30.0 - 80.0'}
VF=${VF:='50.0 - 90.0'}

sed -e "/Section \"Monitor\"/,/EndSection/{ 
/[ \t]*HorizSync.*/d
/[ \t]*VertRefresh.*/d
/[ \t]*EndSection/i\\
        HorizSync    $HF \\
        VertRefresh  $VF
}" -i $XCONFIG
